version: '3.5'

services:
  rabbit1:
    image: registry.gitlab.com/smartgeosystem/smartgeostack/rabbitmq_cluster:latest
    hostname: rabbit1
    env_file:
      - common.env
      - master.env
    ports:
      - 5672:5672
      - 15672:15672
  rabbit2:
    image: registry.gitlab.com/smartgeosystem/smartgeostack/rabbitmq_cluster:latest
    hostname: rabbit2
    depends_on:
      - rabbit1
    env_file:
      - common.env
      - node.env
    ports:
      - 5673:5672
      - 15673:15672
  rabbit3:
    image: registry.gitlab.com/smartgeosystem/smartgeostack/rabbitmq_cluster:latest
    hostname: rabbit3
    depends_on:
      - rabbit1
    env_file:
      - common.env
      - node.env
    ports:
      - 5674:5672
      - 15674:15672

networks:
  default:
    name: gis
